EntityBinding (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.bind.EntityBinding interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind
Interface EntityBinding

All Known Implementing Classes:
  SerialSerialBinding, TupleSerialBinding, TupleSerialMarshalledBinding, TupleTupleBinding, TupleTupleMarshalledBinding

    public interface EntityBinding

A binding between a key-value entry pair and an entity object.

WARNING: Binding instances are typically shared by multiple threads and binding methods are called without any special synchronization. Therefore, bindings must be thread safe. In general no shared state should be used and any caching of computed values must be done with proper synchronization.

Method Summary
`Object` | `entryToObject(DatabaseEntry key, DatabaseEntry data)` Converts key and data entry buffers into an entity Object.
`void` | `objectToData(Object object, DatabaseEntry data)` Extracts the data entry from an entity Object.
`void` | `objectToKey(Object object, DatabaseEntry key)` Extracts the key entry from an entity Object.

Method Detail

### entryToObject

    Object entryToObject(DatabaseEntry key,
                         DatabaseEntry data)

  Converts key and data entry buffers into an entity Object.

  Parameters:
    `key` - is the source key entry.
    `data` - is the source data entry.
  Returns:
    the resulting Object.

### objectToKey

    void objectToKey(Object object,
                     DatabaseEntry key)

  Extracts the key entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `key` - is the destination entry buffer.

### objectToData

    void objectToData(Object object,
                      DatabaseEntry data)

  Extracts the data entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `data` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.7.25
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2008 Oracle. All rights reserved.